<?php

/**
 * Controller genrated using LaraAdmin
 * Help: http://laraadmin.com
 */

namespace App\Http\Controllers;

use \Input as Input;
use App\Http\Requests;
use Illuminate\Http\Request;
use DB;
use Socialite;
use Session;
use App\Http\Controllers\Controller;
use Auth;
use Hash;
use Validator;

use Carbon\Carbon;
// use Datatables;
use App\User;
use Collective\Html\FormFacade as Form;
use Dwij\Laraadmin\Models\Module;
use Dwij\Laraadmin\Models\ModuleFields;
use Exception;

use Mail;
//use Illuminate\Support\Facades\Storage;
use Storage;
use Config;


/**
 * Class HomeController
 * @package App\Http\Controllers
 */
class HomeController extends Controller
{
    /**
     * Create a new controller instance.
     *
     * @return void
     */
    public function __construct()
    {
        // date_default_timezone_set('Asia/Tokyo');
        Config::get('constants.POINTS_VALUE');
    }

    /**
     * Show the application dashboard.
     *
     * @return Response
     */
    public function index()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {
                return view('navigation') . view('home') . view('footer');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
    /**
     * Store a newly user signuup in database.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function user_signup(Request $request)
    {
        $rules = Module::validateRules("users", $request);
        $rules = array(
            'email' => 'unique:users,email|email|required',
            'name' => 'required',
            'password' => 'required|min:6',
            'mobile' => 'required',
            'address' => 'required',
            'postal_code' => 'required',
            'country_id' => 'required',
            'time_zone_id' => 'required',
            'company_type' => 'required',
            'company_name' => 'required',
        );
        $user_data = DB::table('employees')->where('email', $request->email)->first();
        if (!empty($user_data)) {
            Session::flash('email_already_hear', 'Email already registred!');
            return redirect()->back();
        }
        $rules = Module::validateRules("users", $request);
        $validator = Validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        } else {
            $date = date('Y-m-d h:i:s');
            $insert_id = Module::insert("employees", $request);
            $request->merge(['context_id' => $insert_id]);
            //$user_id = Module::insert("users", $request);
            $password = bcrypt($request->password);
            $id = DB::table('users')->insertGetId([
                'name' => $request->name,
                'email' => $request->email,
                'context_id' => $request->context_id,
                'password' => $password,
                'created_at' => $date,
                'updated_at' => $date
            ]);

            DB::insert('insert into role_user (role_id,user_id,created_at,updated_at) values(?,?,?,?)', [2, $id, $date, $date]);

            Session::flash('register_success', 'You are successfully registerd!');
            return redirect()->back();
        }
    }
    /**
     * Store a newly user login in database.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function userLogin(Request $request)
    {
        $rules = Module::validateRules("users", $request);
        $rules = array(
            'email' => 'required|email',
            'password' => 'required'
        );
        $rules = Module::validateRules("users", $request);
        $validator = Validator::make($request->all(), $rules);

        if ($validator->fails()) {
            return redirect()->back()->withErrors($validator)->withInput();
        }
        $email = $request->email;
        $password = $request->password;
        $users_data = DB::table('employees')->where('email', $email)->first();

        //print_r($users_data->verification_status); die;
        if (!empty($users_data)) {
            // Check validation
            if (auth()->attempt(['email' => $email, 'password' => $password])) {
                Session()->flash('jobseeker_succ_auth', 'welcome');
                return redirect('/dashboard');
            } else {
                Session()->flash('loginerrors', 'Your email and password not valid !');
                return redirect()->back()->withInput();
            }
        } else {
            Session()->flash('loginerror', 'User not available');
        }
        return redirect()->back()->withInput();
    }
    /* reset password */
    public function reset_password(Request $request)
    {
        if ($request->isMethod('post')) {
            $validator = Validator::make($request->all(), [
                'email' => 'required|email',
            ]);
            Session()->flash('reset', 'email successfully reset');
            if ($validator->fails()) {
                return redirect('/password/reset')
                    ->withErrors($validator)
                    ->withInput();
            }

            if (User::where('email', $request->email)->first()) {
                $validator->getMessageBag()->add('password', 'Password wrong');
                $user_email = DB::table('users')->where('email', $request->email)->where('deleted_at', NULL)->first();
                // print_r($user_email); die;
            } else {
                $validator->getMessageBag()->add('email', 'Email not found');
                return redirect('/password/reset')
                    ->withErrors($validator)
                    ->withInput();
            }
            if (!empty($user_email->email)) {
                $user = User::where('email', $request->email)->first();
                $user->remember_token = $request->_token;
                $user->save();
                try {
                    $userEmail = $user_email->email;
                    if (env('MAIL_USERNAME') != null && env('MAIL_USERNAME') != "null" && env('MAIL_USERNAME') != "") {
                        // Send mail to User his new Password
                        Mail::send('emails.send_reset_password_link', ['email' => $user_email->email, 'token' => $request->_token], function ($m) use ($userEmail) {
                            $m->from('sunil.vishwakarma@digiprima.com', 'smsroutee.com');
                            $m->to($userEmail, 'reset password')->subject('reset password link');
                        });
                        Session::flash('SMSSentSucc', 'SMS sent successfully!');
                    }
                } catch (Exception $e) {
                    echo 'Message: ' . $e->getMessage();
                }
                // $validator->getMessageBag()->add('success', 'reset password link successfully send your email account');

                // $data['token'] = null;
                // $data['email'] = $request->input('email');


                // return view('admin-dashboard.header') . view('admin-dashboard.product_form', $data);
                //  return redirect('reset-password-update-page');
                // return view('auth.passwords.reset' , $data);

                return redirect()->back();
            } else {
                Session()->flash('email_error', ' ');
                return redirect()->back();
            }
        }
    }

    public function reset_password_get($email = null)
    {
        $data['token'] = null;
        $data['email'] = $email;
        return view('auth.passwords.reset', $data);
    }
    public function reset_password_update_page($token)
    {
        $data['token'] = $token;
        // $data['email'] = $email;
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            Session()->flash('email_success_successfully set', ' ');

            return view('auth.passwords.reset', $data);
            $token = DB::table(' password_resets')
                ->where('token', '=', $token)
                ->where('created_at', '>', Carbon::now()->subHours(1))
                ->first();
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }



        $tokenData = DB::table(' password_resets')
            ->where('token', $token)->first();

        if (!$tokenData) return redirect()->to('home'); //redirect them anywhere you want if the token does not exist.
        return view('passwords.reset');
    }
    /* reset password */
    public function update_reset_password(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'email' => 'required|email',
            'password' => 'min:6',
            'password_confirmation' => 'required_with:password|same:password|min:6'

        ]);
        if ($validator->fails()) {
            return redirect('/reset_password/' . $request->email)
                ->withErrors($validator)
                ->withInput();
        }
        $user_email = DB::table('users')->where('email', $request->email)->where('deleted_at', NULL)->first();
        if (empty($user_email)) {
            $validator->getMessageBag()->add('token', 'reset password token mis match');
            return redirect()->back()->withErrors($validator)->withInput();
        }
        $request->password = bcrypt($request->password);
        if (!empty($user_email->email)) {
            $user = User::where('email', $user_email->email)->first();
            $user->password = $request->password;
            $user->save();
            Session()->flash('reset_pass_succ', ' ');
            // Auth::loginUsingId($user_email->id);
            return redirect('/user-login');
        } else {
            Session()->flash('email_error', ' ');
            return redirect()->back();
        }
    }
    /**
     * Show the application drvice.
     *
     * @return Response
     */
    public function service()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {
                return view('navigation') . view('service') . view('footer');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
    public function price()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {
                return view('navigation') . view('price') . view('footer');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
    public function helpcenter()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {
                return view('navigation') . view('helpcenter') . view('footer');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
    public function user_login()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {

                return view('login');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
    public function signup()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {
                $data["country_data"] = DB::table('countries')->where('deleted_at', NULL)->get();
                $data["timezone_data"] = DB::table('time_zones')->where('deleted_at', NULL)->get();
                // print_r($data["timezone_data"]); die;
                return view('signup', $data);
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }

    public function notation()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {
                return view('navigation') . view('notation') . view('footer');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
    public function condition()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {
            if ($roleCount != 0) {
                return view('navigation') . view('condition') . view('footer');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
    /**
     * Store a newly user web sms store in database.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function web_sms_history_store(request $request)
    {

        $user_id = Auth::user()->id;
        $employee_id = Auth::user()->context_id;
        $sendType = $request->set_schedule;
        $messages = array();
        $destinations = array();
        // $status = array("groupId"=> 3, "groupName"=> "PENDING_WAITING_DELIVERY",
        // "id"=> 26,"name"=>"PENDING_ACCEPTED","description"=> "Message sent to next instance");
        $temp_recipient = preg_replace('#\s+#', ',', trim($request->input('recipient')));
        $recipient = explode(",", $temp_recipient);
        $sender = $request->sender;
        $message = $request->message;
        if ($sendType == 'Now') {
            foreach ($recipient as $value) {
                $temp_messages['from'] = $sender;
                $temp_messages['to'] = trim($value);
                $temp_messages['text'] = $message;
                // $temp_messages['status'] = $status;
                array_push($messages, $temp_messages);
            }
            unset($value);
            $post_body = array("messages" => $messages);


            $url = 'http://p3l3m.api.infobip.com/sms/1/text/multi';
        } else if ($sendType == "Scheduled") {
            $select_date = $request->select_date;
            foreach ($recipient as $value) {
                $temp_messages['to'] = trim($value);
                // $temp_messages['status'] = $status;

                array_push($destinations, $temp_messages);
            }
            unset($value);
            $post_body = array(
                "messages" => array(
                    "from" => $sender,
                    "text" => $message,
                    "sendAt" => gmdate('c', strtotime($select_date)),
                    "destinations" => $destinations
                    // "status" => $status

                )

            );
            $url = 'http://p3l3m.api.infobip.com/sms/1/text/advanced';
        } else {
            Session::flash('InsufficientDataPoints', 'Insufficient Points!');
            return redirect()->back();
        }
        //  print_r($post_body);die;


        if (isset($url)) {
            $recipient_count = count($recipient);
            $employeesData = DB::table('employees')->select('remaining_points')->where('deleted_at', NULL)->where('id', $employee_id)->get();
            $remaining_points = $employeesData[0]->remaining_points;
            if ($recipient_count <= $remaining_points) {
                $username = 'iforce0904';
                $password = 'Ikebukuro@2545';

                // print_r(json_encode($post_body)); die;

                $result = $this->send_message(json_encode($post_body), $url, $username, $password);
                // print_r($result);die;
                $resultData = json_decode($result['Data']);
                if ($result['Code'] != 200) {
                    // COMMENT THIS print "Error sending: " . ($result['error'] ? $result['error'] : "HTTP status " . $result['http_status'] . "; Response was " . $result['server_response']);
                    Session::flash('SMSSentError', 'SMS not sent!');
                } else if ($result['Code'] = 200) {
                    // COMMENT THIS print "Response " . $result['server_response'];

                    $request->merge([
                        'user_id'    => $user_id,
                        'created_at' => date('Y-m-d h:i:s'),
                        'recipient'  => json_encode($recipient)
                    ]);

                    $bulkId = $resultData->bulkId ?? '';
                    $points_to_deduct = 0;

                    foreach ($resultData->messages as $value) {
                        if ($value->status->name != 'UNDELIVERABLE_REJECTED_OPERATOR' || $value->status->name != 'UNDELIVERABLE_NOT_DELIVERED') {
                            // $points_to_deduct = $points_to_deduct + $value->smsCount;
                            $points_to_deduct = $points_to_deduct++;
                        }
                        $report[] = [
                            'user_id'  => $user_id,
                            'messageId' => $value->messageId,
                            'bulkId'  => $bulkId,
                            'status'  => $value->status->name,
                            'description'  => $value->status->description,
                            'groupId'  => $value->status->groupId,
                            'groupName' => $value->status->groupName,
                            "from" => $sender,
                            'to'  => $value->to
                        ];
                    }
                    unset($value);
                    // print_r($report); die;
                    $total_remaining_points = $remaining_points - $points_to_deduct;

                    $insert_id = Module::insert("web_sms_histories", $request);
                    $report_id = DB::table("message__reports")->insert($report);

                    DB::table('employees')->where('id', $employee_id)->update(['remaining_points' => $total_remaining_points]);

                    Session::flash('SMSSentSucc', 'SMS sent successfully!');
                }

                return redirect()->back();
            } else {
                Session::flash('InsufficientPoints', 'Insufficient Points!');
                return redirect()->back();
            }
        }
    }

    public function send_message($post_body, $url, $username, $password)
    {
        $curl = curl_init();
        curl_setopt_array($curl, array(
            CURLOPT_URL => $url,
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "POST",
            CURLOPT_POSTFIELDS => $post_body,
            CURLOPT_HTTPHEADER => array(
                'Authorization:Basic ' . base64_encode("$username:$password"),
                "Content-Type: application/json",
                "Accept: application/json",
                "cache-control: no-cache"
            ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);
        curl_close($curl);
        if ($err) {
            $res = array('Code' => 404, 'Message' => 'Failed', 'Data' => $err);
        } else {
            $res = array('Code' => 200, 'Message' => 'Success', 'Data' => $response);
        }
        return $res;
    }

    public function get_message_response()
    {
        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "http://p3l3m.api.infobip.com/sms/1/logs",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => "",
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 30,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => "GET",
            CURLOPT_HTTPHEADER => array(
                "Authorization: Basic aWZvcmNlMDkwNDpJa2VidWt1cm9AMjU0NQ==",
                "cache-control: no-cache"
            ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);

        if ($err) {
            echo "cURL Error #:" . $err;
        } else {
            print_r($response);
        }
        curl_close($curl);
        $messageId = array('messageId');

        if (isset($_GET[''])) {

            // foreach ($logs as $value) {
            $logs[] = [
                'messageId' => $messageId,
                'status' => array(
                    'groupId' => $messageId->groupId,
                    'groupName' => $messageId->groupName,
                    'id'  => $messageId->id,
                    'name' => $messageId->name,
                    'description'  => $messageId->description
                ),
                'error' => array(
                    'groupId' => $messageId->groupId,
                    'groupName' => $messageId->groupName,
                    'id'  => $messageId->id,
                    'name' => $messageId->name,
                    'description'  => $messageId->description,
                    'permanent'  => 'false'

                ),
            ];
        }
        $messageId = '8416821013592078602';
        $data['message_report'] = DB::table('message__reports')->where('messageId', $messageId)->first();

        DB::table('message__reports')->where('messageId', $messageId)->update(['messageId' => $messageId]);

        return redirect()->back();
    }

    public function purpose_of_use(Request $request)
    {
        $purpose_use = $request->input('purpose_use');

        $date = date('Y-m-d h:i:s');
        $insert_id = Module::insert("purpose_uses", $request);
        Session::flash('register_success', 'You are successfully registerd!');
        return redirect()->back();
    }

    public function csv_upload_data(Request $request)
    {
        if ($request->hasFile('recipient_message')) {

            $fp = fopen($request->file('recipient_message'), "r");
            $headerLine = true;
            $user_id = Auth::user()->id;
            $employee_id = Auth::user()->context_id;
            $sendType = $request->set_schedule;
            $messages = array();
            $recipient = array();
            $destinations = array();
            $sender = $request->sender;
            $message = $request->message;

            // $path = $request->file('recipient_message')->getRealPath();
            // $temp_csv_data = array_map('str_getcsv', file($path));
            while (($data = fgetcsv($fp, 1000, ",")) !== FALSE) {
                // if ($headerLine) {
                //     $headerLine = false;
                // } else {
                    if (strpos($data[0], '+') !== false) {
                        $temp_data_number = $data[0];
                    } else {
                        $temp_data_number = '+' . $data[0];
                    }
                    array_push($recipient, $temp_data_number);
                // }
            }
            fclose($fp);


            if ($sendType == 'Now') {

                // $temp_recipient = preg_replace('#\s+#', ',', trim($request->input('recipient')));
                // $recipient = explode(",", $temp_recipient);

                foreach ($recipient as $value) {
                    $temp_messages['from'] = $request->input('sender');
                    // $temp_messages['to'] = '+'.trim($value);
                    $temp_messages['to'] = trim($value);
                    $temp_messages['text'] = $request->input('message');
                    array_push($messages, $temp_messages);
                }

                unset($value);
                $post_body = array("messages" => $messages);
                $url = 'http://p3l3m.api.infobip.com/sms/1/text/multi';
            } else if ($sendType == "Scheduled") {

                $select_date = $request->select_date;
                foreach ($recipient as $value) {
                    $temp_messages['to'] = trim($value);
                    array_push($destinations, $temp_messages);
                }
                unset($value);
                $post_body = array(
                    "messages" => array(
                        "from" => $sender,
                        "text" => $message,
                        "sendAt" => gmdate('c', strtotime($select_date)),
                        "destinations" => $destinations
                    )

                );
                $url = 'http://p3l3m.api.infobip.com/sms/1/text/advanced';
            } else {
                Session::flash('InsufficientDataPoints', 'Insufficient Points!');
                return redirect()->back();
            }

            if (isset($url)) {
                // print_r($recipient);die;
                // if ($request->input('setSchedule') == 'Set Schedule') { }
                $recipient_count = count($recipient);

                $employeesData = DB::table('employees')->select('remaining_points')->where('deleted_at', NULL)->where('id', $employee_id)->get();
                $remaining_points = $employeesData[0]->remaining_points;
                if ($recipient_count <= $remaining_points) {
                    $username = 'iforce0904';
                    $password = 'Ikebukuro@2545';
                    $result = $this->send_message(json_encode($post_body), $url, $username, $password);
                    $resultData = json_decode($result['Data']);
                    if ($result['Code'] != 200) {
                        Session::flash('SMSSentError', 'SMS not sent!');
                    } else if ($result['Code'] = 200) {
                        $request->merge([
                            'user_id' => $user_id,
                            'created_at' => date('Y-m-d h:i:s'),
                            'from_csv' => 1,
                            'recipient' => json_encode($recipient)
                        ]);
                        $bulkId = $resultData->bulkId ?? '';
                        $points_to_deduct = 0;

                        foreach ($resultData->messages as $value) {
                            if ($value->status->name != 'UNDELIVERABLE_REJECTED_OPERATOR' || $value->status->name != 'UNDELIVERABLE_NOT_DELIVERED') {
                                // $points_to_deduct = $points_to_deduct + $value->smsCount;
                                $points_to_deduct = $points_to_deduct++;
                            }
                            $report[] = [
                                'user_id'  => $user_id,
                                'messageId' => $value->messageId,
                                'bulkId'  => $bulkId,
                                'status'  => $value->status->name,
                                'description'  => $value->status->description,
                                'groupId'  => $value->status->groupId,
                                'groupName' => $value->status->groupName,
                                "from" => $sender,
                                'to'  => $value->to,
                                'created_at' => date('Y-m-d h:i:s'),
                            ];
                        }
                        unset($value);
                        // print_r($report); die;
                        $total_remaining_points = $remaining_points - $points_to_deduct;

                        $insert_id = Module::insert("web_sms_histories", $request);
                        $report_id = DB::table("message__reports")->insert($report);

                        DB::table('employees')->where('id', $employee_id)->update(['remaining_points' => $total_remaining_points]);
                        Session::flash('SMSSentSucc', 'SMS sent successfully!');
                    }

                    return redirect()->back();
                } else {
                    Session::flash('InsufficientPoints', 'Insufficient Points!');
                    return redirect()->back();
                }
            }
            return redirect()->back();
        }
    }

    public function use_log(Request $request)
    {
        $start_date = $request->input('start_date');
        $end_date = $request->input('end_date');
        $date = date('Y-m-d h:i:s');
        $insert_id = Module::insert("usege_logs", $request);
        Session::flash('register_success', 'You are successfully registerd!');
        return redirect()->back();
    }

    public function reset_password_email()
    {
        return view('auth.passwords.email');
    }


    public function sendPasswordResetToken(Request $request)
    {
        $user = User::where('email', $request->email)->where('deleted_at', NULL)->first();
        if (!$user) return redirect()->back()->withErrors(['error' => 'You have no permission for this email id']);

        //create a new token to be sent to the user. 
        DB::table('password_resets')->insert([
            'email' => $request->email,
            'token' => str_random(60), //change 60 to any length you want
            'created_at' => Carbon::now()->subMinute(2)

        ]);

        $tokenData = DB::table('password_resets')
            ->where('email', $request->email)->first();

        $token = $tokenData->token;
        $email = $request->email; // or $email = $tokenData->email;

        /**
         * Send email to the email above with a link to your password reset
         * something like url('password-reset/' . $token)
         * Sending email varies according to your Laravel version. Very easy to implement
         */
        try {
            if (env('MAIL_USERNAME') != null && env('MAIL_USERNAME') != "null" && env('MAIL_USERNAME') != "") {
                // Send mail to User his new Password
                Mail::send('emails.send_reset_password_link', ['email' => $email, 'token' => $token], function ($m) use ($email) {
                    $m->from('sunil.vishwakarma@digiprima.com', 'smsroutee.com');
                    $m->to($email, 'Password reset')->subject('Sms route password reset link');
                });

                Session::flash('SMSSentSucc', 'Email with password reset link sent successfully to your registered email id!');
            }
        } catch (Exception $e) {
            echo 'Message: ' . $e->getMessage();
        }

        return redirect()->back();
    }
    public function showPasswordResetForm($token)
    {
        $tokenData = DB::table('password_resets')
            ->where('token', $token)->first();

        if (!$tokenData) return redirect()->to('home'); //redirect them anywhere you want if the token does not exist.
        $data = array('token' => $token, 'email' => $tokenData->email);
        return view('auth.passwords.reset', $data);
    }
    public function resetPassword(Request $request)
    {
        //some validation
        $validator = Validator::make($request->all(), [
            'email' => 'required|email',
            'password' => 'min:6',
            'password_confirmation' => 'required_with:password|same:password|min:6'
        ]);
        if ($validator->fails()) {
            return redirect()->back()
                ->withErrors($validator)
                ->withInput();
        }
        $tokenData = DB::table('password_resets')
            ->where('token', $request->token)->first();

        $user = User::where('email', $request->email)->where('deleted_at', NULL)->first();
        if (empty($user)) {
            $validator->getMessageBag()->add('token', 'reset password token mis match');
            return redirect()->back()->withErrors($validator)->withInput();
        }
        $user->password = bcrypt($request->password);
        $user->update();
        // Auth::login($user_email); for auto logging in user
        DB::table('password_resets')->where('email', $tokenData->email)->delete();
        return redirect('/home');
    }


    public function faq()
    {
        $roleCount = \App\Role::count();
        if ($roleCount != 0) {


            //     if ($roleCount != 0) {
            //         return view('navigation') . view('faq') . view('footer');
            //     }
            // } 
            // $data = $this->common();
            // $id = Auth::user()->id;
            $data['faqs'] = DB::table('faqs')->where('deleted_at', NULL)->where('status', 1)->get();
            //  print_r($data['faqs']); die;
            if ($roleCount != 0) {
                return view('navigation') . view('faq', $data) . view('footer');
            }
        } else {
            return view('errors.error', [
                'title' => 'Migration not completed',
                'message' => 'Please run command <code>php artisan db:seed</code> to generate required table data.',
            ]);
        }
    }
}
